import 'package:starting_template/domain/entities/integer.dart';
import 'package:wyatt_architecture/wyatt_architecture.dart';

abstract class CounterDataSource extends BaseDataSource {
  Future<Integer> decrement(Integer value);
  Future<Integer> increment(Integer value);
  Future<Integer> getCurrent();
  Future<Integer> reset();
}
